apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: sops-secrets
  namespace: argocd
  finalizers:
    - resources-finalizer.argocd.argoproj.io
  annotations:
    argocd.argoproj.io/sync-wave: "0"
spec:
  project: homelab
  revisionHistoryLimit: 3
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
  syncOptions:
    - CreateNamespace=true
  source:
    repoURL: http://forgejo.riotpiao.com:3000/riotpiao.com/homelab.git
    targetRevision: main
    path: .
    plugin:
      name: sops-secrets-v1.0
  destination:
    server: https://kubernetes.default.svc
